package com.m2pool.pool.enums;

/**
 * @Description 矿池
 * @Date 2022/5/20 11:15
 * @Author 杜懿
 */
public enum NodeConfig {

    GRS("grs", "13.213.4.56", "1441", "test", "test"),
    MONA("mona", "13.213.4.56", "9402", "test", "test"),
    DGBS("dgbs", "13.214.176.64", "14022", "test", "test"),
    DGBQ("dgbq", "13.214.176.64", "14022", "test", "test"),
    DGBO("dgbo", "13.214.176.64", "14022", "test", "test"),
    DGB_QUBIT_A10("dgb_qubit_a10", "127.0.0.1", "3306", "user", "pwd"),
    DGB_SKEIN_A10("dgb_skein_a10", "127.0.0.1", "3306", "user", "pwd"),
    DGB_ODO_B20("dgb_odo_b20", "127.0.0.1", "3306", "user", "pwd"),
    NEXA("nexa", "18.139.85.190", "7227", "test", "test"),
    RXD("rxd", "18.141.161.129", "7332", "test", "test"),
    ALPH("alph", "18.141.161.129", "12973", "test", "test"),
    ENX("enx", "13.214.6.253", "12973", "test", "test"),
    MONERO("monero", "", "", "test", "test");

    /** 币种参数名 */
    private final String coin;
    /** 页面显示名 */
    private final String ip;
    /** 算法 */
    private final String host;

    private final String user;

    private final String pwd;


    NodeConfig(String coin, String ip, String host, String user, String pwd) {
        this.coin = coin;
        this.ip = ip;
        this.host = host;
        this.user = user;
        this.pwd = pwd;
    }

    public String getCoin() {
        return coin;
    }

    public String getIp() {
        return ip;
    }

    public String getHost() {
        return host;
    }

    public String getUser() {
        return user;
    }

    public String getPwd() {
        return pwd;
    }

}
